/* 
    Copyright 2015 Rodrigo Fernandes da Costa

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

    Author: Rodrigo Fernandes da Costa
    E-mail: rodrigo5244@gmail.com
*/

var ui = {};

ui.card = function (self) {
    "use strict";

    self = self || {};

    self.tag = window.document.createElement("div");
    self.tag.className = "card";

    if (self.title) {
        self.h2 = window.document.createElement("h2");
        self.h2.appendChild(window.document.createTextNode(self.title));
        self.tag.appendChild(self.h2);
    }

    if (self.text) {
        self.p = window.document.createElement("p");
        self.p.appendChild(window.document.createTextNode(self.text));
        self.tag.append(self.p);
    }

    return self;
};

window.addEventListener("DOMContentLoaded", function () {
    "use strict";

    ui.cards = window.document.querySelector("#cards");
});
